import request from '@/utils/request'

// 查询生产订单排程列表
export function listCal(query) {
  return request({
    url: '/aps_production_order_cal/cal/list',
    method: 'get',
    params: query
  })
}

// 查询生产订单排程详细
export function getCal(id) {
  return request({
    url: '/aps_production_order_cal/cal/' + id,
    method: 'get'
  })
}

// 新增生产订单排程
export function addCal(data) {
  return request({
    url: '/aps_production_order_cal/cal',
    method: 'post',
    data: data
  })
}

// 修改生产订单排程
export function updateCal(data) {
  return request({
    url: '/aps_production_order_cal/cal',
    method: 'put',
    data: data
  })
}

// 删除生产订单排程
export function delCal(id) {
  return request({
    url: '/aps_production_order_cal/cal/' + id,
    method: 'delete'
  })
}
